<?
/*
  (c) pirdani 2005
  http://www.pirdani.de
  kontakt@pirdani.de
  version 1.1
*/


//Locale
if (file_exists(INFUSIONS."pd_landmark/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pd_landmark/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pd_landmark/locale/German.php";
}

//License
include(INFUSIONS."pd_landmark/license.inc.php");

//Settings auslesen
$sql_pd_landmark_settings = dbquery("SELECT * FROM ".DB_PREFIX."pd_landmark_settings");
$pdlandmarksetting = dbarray($sql_pd_landmark_settings);


//JavaScript: Include overlib.js (Toolbar Engine)
echo '<script type="text/javascript" src="'.INFUSIONS.'pd_landmark/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
      <div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>';

//Map Daten laden
if(!$map) $map=$pdlandmarksetting[map];
include(INFUSIONS."pd_landmark/maps/".$map."/map.php");


//Map Ordner
$map_files = makefilelist(INFUSIONS."pd_landmark/maps/", ".|..|index.php", true, "folders");




//Funktionen
function getPoints($id=0)
{
  if($id!=0)
  {
    $sql_user = dbquery("SELECT * FROM ".DB_PREFIX."users WHERE user_id='".$id."'");
  }
  else
  {
    $sql_user = dbquery("SELECT * FROM ".DB_PREFIX."users");
  }
	$p=array();
  while($pdata = dbarray($sql_user))
  {
    $plz = strtok($pdata[user_location], " ");
    $sql_geo = dbquery("SELECT * FROM ".DB_PREFIX."pd_geodb WHERE `plz`='".$plz."'");
    $gdata = dbarray($sql_geo);
		$x=lon2px($gdata[lon]);
		$y=lat2px($gdata[lat]);
		if($x <= MAP_WIDTH && $y <= MAP_HEIGHT && $x > 0 && $y > 0)
		{
			$p[$x][$y][ort]=$gdata[ort];
			$p[$x][$y][plz]=$gdata[plz];
			$p[$x][$y][user][]=$pdata[user_id];
		}
  }
	return $p;
}


function getUsers($id=0)
{
  if($id!=0)
  {
    $sql_user = dbquery("SELECT * FROM ".DB_PREFIX."users WHERE user_id='".$id."'");
  }
  else
  {
    $sql_user = dbquery("SELECT * FROM ".DB_PREFIX."users");
  }
	$p=array();
  while($pdata = dbarray($sql_user))
  {
    $plz = strtok($pdata[user_location], " ");
    $sql_geo = dbquery("SELECT * FROM ".DB_PREFIX."pd_geodb WHERE `plz`='".$plz."'");
    $gdata = dbarray($sql_geo);
		$x=lon2px($gdata[lon]);
		$y=lat2px($gdata[lat]);
		if($x <= MAP_WIDTH && $y <= MAP_HEIGHT && $x > 0 && $y > 0)
		{
			$p[]=$pdata[user_id];
		}
  }
	return $p;
}


function lon2px($lon)
{
	global $City;
	return round((($lon - $City[0]['lon'])/LON_PER_PX + $City[0]['x'])/RASTER_SIZE);
}

function lat2px($lat)
{
	global $City;
	return round((($City[0]['lat'] - $lat)/LAT_PER_PX + $City[0]['y'])/RASTER_SIZE);
}

function drawPoints($p)
{
  global $pdlandmarksetting, $locale;
	foreach($p AS $x => $xs)
	{
		foreach($xs AS $y => $ys)
		{
			$c=count($ys[user]);
			if($c>=($pdlandmarksetting[step3]+1) or $_GET[uid])
			{ $cssClass='p4'; }
			else if($c<($pdlandmarksetting[step3]+1) AND $c>=($pdlandmarksetting[step2]+1))
			{ $cssClass='p3'; }
			else if($c<($pdlandmarksetting[step2]+1) AND $c>=($pdlandmarksetting[step1]+1))
			{ $cssClass='p2'; }
			else if($c<($pdlandmarksetting[step1]+1))
			{ $cssClass='p1'; }
			else
			{ $cssClass='p4'; }
      $s='';
			foreach($ys[user] AS $k => $e)
			{
        $sqluser = dbquery("SELECT * FROM ".DB_PREFIX."users WHERE user_id='".$e."'");
        $udata = dbarray($sqluser);
				$s.=($k?', ':' ').str_replace("'", "\\'", "<nobr><a href='".BASEDIR."profile.php?lookup=".$udata[user_id]."'>".$udata[user_name]." [".getuserlevel($udata[user_level])."]</a></nobr>");
      }
      echo '<a href="javascript:void(0);" onmouseover="return overlib(\''.$s.'\', STICKY, FGCLASS, \'tbl2\', BGCLASS, \'capmain\', CAPTIONFONTCLASS, \'a\', CLOSEFONTCLASS, \'a\', CAPTION, \'<b>'.$ys[plz].' '.$ys[ort].'</b>\', RIGHT, CLOSETEXT, \''.$locale["pdlm107"].'\');" onmouseout="nd();" class="'.$cssClass.'" style="left:'.($x*RASTER_SIZE).'; top:'.($y*RASTER_SIZE).'"></a>';


		}
	}
}

?>
